%define debug_package %{nil}
%define anacondaver 37.8

Summary: Initial system configuration utility
Name: initial-setup
Version: 0.3.95
Release: 6%{?dist}
License: GPLv2+
URL: https://fedoraproject.org/wiki/InitialSetup
Source0: https://github.com/rhinstaller/%{name}/archive/r%{version}-1.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires: make
BuildRequires: gettext glade-devel intltool systemd-units
BuildRequires: python3-devel python3-setuptools gtk3-devel
Requires: anaconda-tui >= %{anacondaver}
Requires: %{__python3} python3-simpleline >= 1.4
Requires: systemd >= 235 util-linux
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd

%description
The initial-setup utility guides the user through a series of steps to make it easier to 
configure the machine, which runs after installation.

%package gui
Summary: Graphical user interface for the initial-setup utility
Requires: gtk3
Requires: anaconda-gui >= %{anacondaver}
Requires: firstboot(windowmanager)
Requires: xorg-x11-xinit xorg-x11-server-Xorg
Requires: %{name} = %{version}-%{release}

%description gui
This package provides a graphical user interface for the initial-setup utility.

%prep
%autosetup -p 1

rm -rf *.egg-info

%build
%make_build

%install
rm -rf %{buildroot}
%make_install

%find_lang %{name}

%post
%systemd_post initial-setup.service

%preun
%systemd_preun initial-setup.service

%postun
%systemd_postun initial-setup.service

%files -f %{name}.lang
%license COPYING
%doc README.rst ChangeLog
%dir %{_sysconfdir}/%{name}
%dir %{_sysconfdir}/%{name}/conf.d
%config %{_sysconfdir}/%{name}/conf.d/*
%{python3_sitelib}/initial_setup*
%exclude %{python3_sitelib}/initial_setup/gui
%{_libexecdir}/%{name}/run-initial-setup
%{_libexecdir}/%{name}/firstboot-windowmanager
%{_libexecdir}/%{name}/initial-setup-text
%{_libexecdir}/%{name}/reconfiguration-mode-enabled
%{_unitdir}/initial-setup.service
%{_unitdir}/initial-setup-reconfiguration.service

%files gui
%{_libexecdir}/%{name}/initial-setup-graphical
%{python3_sitelib}/initial_setup/gui/

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.95-6
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.95-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.95-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.95-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.95-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 22 2023 Wang Guodong <gordonwwang@tencent.com> - 0.3.95-1
- initial build
